import { createRouter, createWebHashHistory } from 'vue-router'
//import DashboardView from '../views/dashboard/index.vue'
import loginView from '../views/login/loginView.vue'
import DashboardView from '../views/newDashboard/index.vue'
const router = createRouter({
  history: createWebHashHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      name: 'dashboard',
      component: DashboardView
    },
    {
      path: '/login',
      name: 'login',
      component: loginView
    },
    {
      path: '/:error*',
      redirect: '/'
    }
  ]
})

export default router
